## Vue 中增加默认导出

在  Vue 中增加默认导出。

### 如何使用

安装

```bash
pnpm add @plugin-light/vite-plugin-export-default-in-vue -D
```

在 `vite.config.ts` 中添加如下设置：


```ts
import { defineConfig } from 'vite';
import { exportDefaultInVueVitePlugin } from '@plugin-light/vite-plugin-export-default-in-vue';


export default defineConfig({
  plugins: [
    exportDefaultInVueVitePlugin()
  ],
});
```

更推荐在脚本中前置执行，如：

```ts
const { exportDefaultInVue } = require('@plugin-light/vite-plugin-export-default-in-vue');

exportDefaultInVue({ root: process.cwd() });
```

### 原理

修改 `node_modules/vue/dist/vue.runtime.esm-bundler.js`，增加 `export default function(){};`。

### 更新日志

[点此查看](./CHANGELOG.md)
