'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tComm = require('t-comm');
var path = require('path');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var path__default = /*#__PURE__*/_interopDefaultLegacy(path);

const FILE_PATH = 'node_modules/vue/dist/vue.runtime.esm-bundler.js';
function exportDefaultInVue(options) {
    const TARGET_FILE = path__default["default"].resolve(options?.root ?? process.cwd(), FILE_PATH);
    const content = tComm.readFileSync(TARGET_FILE, false);
    const insertStr = '\nexport default function(){};';
    if (content.includes(insertStr)) {
        console.log(`[exportDefaultInVue] ${FILE_PATH} already exist the string!`);
        return '';
    }
    const newContent = `${content}${insertStr}`;
    tComm.writeFileSync(TARGET_FILE, newContent);
    console.log(`[exportDefaultInVue] ${FILE_PATH} done`);
}

function exportDefaultInVueVitePlugin(options) {
    return {
        name: 'vite-plugin-export-default-in-vue',
        enforce: 'pre',
        config: (input) => {
            exportDefaultInVue(options);
            return input;
        },
    };
}

exports.exportDefaultInVue = exportDefaultInVue;
exports.exportDefaultInVueVitePlugin = exportDefaultInVueVitePlugin;
